﻿/*-----------------------------------------------------------------------------
    Theme.css
    Vacances 2019
    rev. 17.4.25
-----------------------------------------------------------------------------*/

body {
    font-size: 16px;
}



/*largeur au maximum de 1500px - ente 1 et 1500  */
@media (max-width: 1500px) {
    body {
        font-size: 15px;
    }
    input[type="text"] {
        font-size: 15px;
    }
}

/*largeur au maximum de 1350px - ente 1 et 1350  */
@media (max-width: 1350px) {
    body {
        font-size: 12px;
    }
    input[type="text"] {
        font-size: 12px;
    }
}


#lblLectureSeule {
    display: none;
    background-color: orangered;
}


.recherche {
    color: #333 !important;
    font-size: 1.4rem;
    line-height: .8rem;
    margin-top: -.25rem;
    padding-top: 0px;
    padding-left: 1.5rem;
}

.recherche {
    background-image: url('../images/fndLoop.png');
    background-repeat: no-repeat;
    background-position-y: .5rem;
}


.recherche-bord {
    border-style: solid;
    border-width: 1px;
    border-color: gainsboro;
    border-radius: 0.25em;
}


/* Padding de toutes les zones de texte*/
.form-control {
    /*padding: 0.25rem 0.5rem;*/
    padding: 0.25rem 0.35rem;
}

.col-form-label-sm {
    line-height: 1.2;
    padding-top: calc(1px + 0.1rem);
    padding-bottom: calc(1px + 0.1rem);
}

.agrandi120 {
    width: 120%;
}

.padding-right0 {
    padding-right: 0px;
}

.padding-top05 {
    padding-top: .35em;
}


#SFormTravail .selection {
    margin-left: 0px;
    padding-top: 2px;
    padding-bottom: 1px;
    background-color: #ffffcc;
}

.commentaire {
    font-size: .8em;
    color: gray;
}

.attente,
.divCadrePlanning .attente,
.divVacancesMoniteur .attente {
    border-bottom-style: dashed;
    border-width: 1px;
    border-color: orangered;
    background: rgb(255,255,0);
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(240,244,238,0) 30%);
}

.divCadrePlanning .attente,
.divVacancesMoniteur .attente {
    border-bottom-style: solid;
    border-width: 2px;
    border-left-style: none;
    border-right-style: none;
    border-top-style: none;
}




/* entête de la liste des congés*/
.divListePersonne .entete li {
    font-size: .85em;
    line-height: 1em;
}

/* Menu bas */
/*largeur au maximum de 1350px - ente 1 et 1350  */
@media (max-width: 1350px) {
    footer .btn {
        /*font-size: .775rem;*/
        font-size: .725rem;
        margin-right: .1rem;
        padding-left: .35rem;
        padding-right: .35rem;
    }
}


.divVacancesMoniteur a,
.divCadrePlanning a {
    text-decoration: none;
}

    .divVacancesMoniteur a:hover,
    .divCadrePlanning a:hover,
    .divCadrePlanningJour a:hover {
        text-decoration: underline;
    }



/* Congés hebdomadaires */

.divCongeHebdo .cadre {
    border-style: solid;
    border-width: 1px;
    border-radius: 7px !important;
    border-color: yellowgreen;
}


/* Séparateur */
.personne .bord-haut {
    border-top-style: solid;
    border-width: 1px;
    border-color: rgba(0, 0, 0, 0.1);
    padding-top: .5rem;
}

.personne .ferie-comp {
    border-left-style: solid;
    border-width: 1px;
    border-color: rgba(0, 0, 0, 0.1);
}


.EnvoiMail {
    background-color: #ffffcc;
}




/* pour un ddl identique dans tous les browsers doc https://stackoverflow.com/questions/25674107/how-to-change-select-box-background-without-losing-the-right-arrow-on-mobile-saf?rq=1*/
/* Convertisseur https://onlinepngtools.com/convert-png-to-base64*/
.uglyselect {
    -webkit-appearance: none;
    background-color: white;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAAJCAYAAAA/33wPAAAAvklEQVQoFY2QMQqEMBBFv7ERa/EMXkGw11K8QbDXzuN4BHv7QO6ifUgj7v4UAdlVM8Uwf+b9YZJISnlqrfEUZVlinucnBGKaJgghbiHOyLyFKIoCbdvecpyReYvo/Ma2bajrGtbaC58kCdZ1RZ7nl/4/4d5EsO/7nzl7IUtodBexMMagaRrs+06JLMvcNWmaOv2W/C/TMAyD58dxROgSmvxFFMdxoOs6lliWBXEcuzokXRbRoJRyvqqqQvye+QDMDz1D6yuj9wAAAABJRU5ErkJggg==);
    background-position: right center;
    background-repeat: no-repeat;
    padding-right: 1.5em;
}

.uglyUp {
    -webkit-appearance: none;
    background-color: white!important;
    background-image: url(data:image/png;base64,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);
    background-position: center;
    background-repeat: no-repeat;
    padding-right: 1.5em;
}




/* Modif du Bootstrap 5 */
.dropdown-item {
    padding-left: 1.5rem !important;
}

a {
    text-decoration: none;
}

.form-group {
    /*margin-bottom: 1rem;*/
    margin-bottom: .25rem;
}

.form-control:disabled{
    opacity: .5;
}


/*
.btn-info {
    color: #51ff53;
}*/